[147746] trunk/dports/gnome/libgdata

devans at macports.org devans at macports.org
Thu Apr 14 05:08:22 PDT 2016


Revision: 147746
          https://trac.macports.org/changeset/147746
Author:   devans at macports.org
Date:     2016-04-14 05:08:22 -0700 (Thu, 14 Apr 2016)
Log Message:
-----------
libgdata: update autogen.sh from upstream git master, add goa-1.0 to vapi dependencies if goa support is enabled, increment revision (#51144).

Modified Paths:
--------------
    trunk/dports/gnome/libgdata/Portfile
    trunk/dports/gnome/libgdata/files/autogen.sh

Added Paths:
-----------
    trunk/dports/gnome/libgdata/files/patch-Makefile.am.diff

Modified: trunk/dports/gnome/libgdata/Portfile
===================================================================
--- trunk/dports/gnome/libgdata/Portfile	2016-04-14 12:03:17 UTC (rev 147745)
+++ trunk/dports/gnome/libgdata/Portfile	2016-04-14 12:08:22 UTC (rev 147746)
@@ -6,6 +6,7 @@
 
 name                libgdata
 version             0.17.4
+revision            1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         libgdata is a GLib-based library for accessing online service APIs using the \
                     GData protocol --- most notably, Google's services.
@@ -44,7 +45,8 @@
 
 gobject_introspection yes
 
-patchfiles          patch-m4-ax_compiler_flags_ldflags.m4.diff
+patchfiles          patch-m4-ax_compiler_flags_ldflags.m4.diff \
+                    patch-Makefile.am.diff
 
 # reconfigure using upstream autogen.sh for intltool 0.51 compatibility
 

Modified: trunk/dports/gnome/libgdata/files/autogen.sh
===================================================================
--- trunk/dports/gnome/libgdata/files/autogen.sh	2016-04-14 12:03:17 UTC (rev 147745)
+++ trunk/dports/gnome/libgdata/files/autogen.sh	2016-04-14 12:08:22 UTC (rev 147746)
@@ -1,41 +1,39 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-PKG_NAME=libgdata
+cd $srcdir
 
-(test -f $srcdir/configure.ac) || {
-	echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level $PKG_NAME directory"
+(test -f configure.ac) || {
+	echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
 	exit 1
 }
 
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
 if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
-	echo "**Warning**: I am going to run \`configure' with no arguments." >&2
-	echo "If you wish to pass any to it, please specify them on the" >&2
-	echo \`$0\'" command line." >&2
+	echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+	echo "*** If you wish to pass any to it, please specify them on the" >&2
+	echo "*** '$0' command line." >&2
 	echo "" >&2
 fi
 
-# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
-# This is a automake bug fixed in automake 1.13.2
-# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
-if [ -n "m4" ]; then
-	mkdir -p m4
-fi
-
-set -x
-
+aclocal --install || exit 1
 gtkdocize --copy || exit 1
 intltoolize --force --copy --automake || exit 1
-autoreconf --verbose --force --install -Wno-portability || exit 1
+autoreconf --verbose --force --install || exit 1
 
-if test x$NOCONFIGURE = x; then
-	$srcdir/configure "$@" && \
-	echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+	$srcdir/configure "$@" || exit 1
+
+	if [ "$1" = "--help" ]; then exit 0 else
+		echo "Now type 'make' to compile $PKG_NAME" || exit 1
+	fi
 else
 	echo "Skipping configure process."
 fi
-
-set +x

Added: trunk/dports/gnome/libgdata/files/patch-Makefile.am.diff
===================================================================
--- trunk/dports/gnome/libgdata/files/patch-Makefile.am.diff	                        (rev 0)
+++ trunk/dports/gnome/libgdata/files/patch-Makefile.am.diff	2016-04-14 12:08:22 UTC (rev 147746)
@@ -0,0 +1,13 @@
+--- Makefile.am.orig	2016-04-14 04:31:05.000000000 -0700
++++ Makefile.am	2016-04-14 04:38:53.000000000 -0700
+@@ -608,6 +608,10 @@
+ gdata_libgdata_vapi_METADATADIRS = $(srcdir)/gdata
+ gdata_libgdata_vapi_FILES = gdata/GData- at GDATA_API_VERSION_MAJOR@. at GDATA_API_VERSION_MINOR@.gir
+ 
++if ENABLE_GOA
++gdata_libgdata_vapi_DEPS += goa-1.0
++endif
++
+ gdata/libgdata.deps:
+ 	$(AM_V_GEN) for pkg in $(gdata_libgdata_vapi_DEPS); do \
+ 		echo $$pkg >> $@; \
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160414/c25b55aa/attachment-0001.html>


More information about the macports-changes mailing list